%define cvs 20061120
Name:		rt2570
Version:	1.1.0.cvs%cvs
Release:	5%{?dist}
Summary:	Diagnostic tools for Ralink Wireless devices
Group:		System Environment/Base
License:	GPL
URL:		http://rt2x00.serialmonkey.com/
#Source0:	http://rt2x00.serialmonkey.com/rt2570-cvs-daily.tar.gz
#Rename daily to %{cvs} version of the tarball.
#Cleaned tarball from CVS entries.
Source0:	rt2570-cvs-%{cvs}.tar.bz2
Source1:	rt2570-snapshot.sh
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Provides:	rt2570-kmod-common = %{version}
Requires:	rt2570-kmod >= %{version}
#Buildrequires:	desktop-file-utils
Requires:	%{_bindir}/consolehelper
BuildArch:      noarch

%description
This package contains the Ralink rt2570 Driver for WiFi, a linux
device driver for 802.11a/b/g universal NIC cards - either Cardbus,
PCI or MiniPCI - that use rt2570 chipsets.

This is the rt2570-kmod-common package.This contain the Utility to set RT2570

%prep
%setup -q -n %{name}-cvs-%{cvs}
mv Module/TESTING .
mv Module/iwpriv_usage.txt .
sed -i 's/\r//' LICENSE
sed -i 's/\r//' iwpriv_usage.txt

%build


%install
rm -rf $RPM_BUILD_ROOT

cat > %{name}-modprobe.d <<EOF
# rt2570 Ralink wireless 
alias rausb0 rt2570
#alias rausb1 rt2570
EOF

install -D -p -m 0644 %{name}-modprobe.d $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/rt2570

cat > %{name}.ifcfg <<EOF
DEVICE='rausb0'
ONBOOT='yes'
EOF

install -D -p -m 0644 %{name}.ifcfg $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/network-scripts/ifcfg-rausb0

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc THANKS CHANGELOG FAQ LICENSE iwpriv_usage.txt README TESTING
%attr(644,root,root) 
%config(noreplace)%{_sysconfdir}/modprobe.d/rt2570
%config(noreplace)%{_sysconfdir}/sysconfig/network-scripts/ifcfg-rausb0

%changelog
* Mon Nov 20 2006 kwizart < kwizart at gmail.com > - 1.2.2.cvs20061120-5.fc6
- Update to 20061120.
- Drop RuilT

* Sun Aug 27 2006 kwizart < kwizart at gmail.com > - 1.1.0.cvs2006082716-5_FC5
- Update to cvs 2006082716.
- Requires RutilT.
- inital release.

